#include <assert.h>

#include "platform/cm4/InterruptHandler.h"
#include "platform/cm4/InterruptGuardian.h"

using namespace pinetime::platform::cm4;

InterruptHandler::InterruptHandler(uint32_t irq_nr)
{
    InterruptGuardian::instance.register_handler(static_cast<InterruptGuardian::Cm4IrqN>(irq_nr), *this);
}

void InterruptHandler::handle()
{
    assert(false);
}

void InterruptHandler::enable()
{
    assert(false);
}

void InterruptHandler::disable()
{
    assert(false);
}
